安装SDK工具包

运行环境

Python SDK工具包支持在Python 2.7环境下运行。

安装SDK

  1. 官方网站下载DuMap Python SDK,并解压。
  2. 安装SDK之前,需要安装pycrypto依赖:

    pip install pycrypto

  3. 执行以下命令安装SDK包:

    python setup.py install

SDK目录结构

baidubce //SDK 代码
       ├── auth                            //公共权限目录
       ├── http                            //Http请求模块
       ├── services                        //服务公共目录
       │     └── dumap                    //dumap目录
       │           ├──dumap_client.py     //dumap open api入口类
       ├── bce_base_client.py              //BCE客户端入口类的基类
       ├── bce_client_configuration.py     //HttpClient的配置类
       ├── bce_response.py                 //BCE客户端的请求类
       ├── exception.py                    //BCE客户端的异常类
       ├── protocol.py                     //网络协议定义
       ├── region.py                       //区域处理模块
       ├── retry_policy.py                 //BCE服务公共配置类
       └── utils.py                        //BCE公用工具类

  sample // 调用 demo
       ├── dumap                           //示例调用
       │     └── dumap_sample.py          //核心调用的示例代码
       │     ├── dumap_sample_conf.py     //示例的调用配置

卸载SDK

预期卸载 SDK 时,使用pip卸载“bce-python-sdk”即可。